> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/rule-language/operators/unknown-operators/join_of_any.md).

# JOIN\_OF\_ANY

### Description

`JOIN_OF_ANY` is the flexible counterpart of [`JOIN`](/rule-language/operators/string-operators/join.md). It puts together the known elements in a list and ignores them if they are not known / provided yet.

### Examples

```
p is Person
JOIN_OF_ANY(
    [
        p.title,
        p.first_name, 
        p.middle_name, 
        p.last_name
    ], 
    ' '
)
```

This [expression](/rule-language/expressions.md) extracts the name components of a person, including title. If the [case](/guides/glossary/case.md) is about President (p.title) John (p.first\_name) Fitzgerald (p.middle\_name) Kennedy (p.last\_name), this expression has as output:

`'President John Fitzgerald Kennedy'`

If only a first and last name have been filled out in the case, the return of this `JOIN_OF_ANY` expression is:

`'John Kennedy'`

Had the expression used the `JOIN` operator instead, and only ‘John’ and ‘Kennedy’ are known values, the system would have asked users to provide the missing values ‘title’ and ‘middle\_name’, before giving you a result.\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/unknown-operators/join_of_any.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
